#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xEF,0xFE,0xD3,0xD3,0xA3,0x8C,0x0B,0xE9,0x3A,0x93,0x1B,0xCC,
		0x45,0xFC,0x5C,0x0B,0x39,0x2D,0x2D,0x8B,0xD9,0xAE,0xC5,0xE7,
		0xDF,0xCB,0x03,0x11,0x07,0x0D,0xAC,0x02,0xCA,0x44,0x2A,0xC8,
		0x6F,0xE3,0xA7,0x7A,0xEB,0x2C,0x35,0x89,0xC1,0x10,0x97,0xD6,
		0x4C,0xCE,0x00,0x59,0xEC,0xC9,0xCC,0xDD,0xED,0x39,0x98,0x96,
		0x38,0xE5,0x4B,0xFF,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
